EDIT - bug #9467

AssertionFailedException when opening DefaultFeatureTreePreference and preference should not
allow multi-select

02/12/2021 09:19 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 70%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.21

Severity: normal Found in Version:

Description

The label provider for DefaultFeatureTreePreferences implements IBaseLabelProvider but should ILabelProvider.

last remote method : http://api.cybertaxonomy.org:80/flora-greece/remoting/preference.service
last remote request client time : 2021-02-11T09:02:47.979

last remote request response header time : Thu, 11 Feb 2021 09:02:48 GMT

client error time : 2021-02-11T09:02:50.12

login : admin
editor version : 5.19.0
server : api.cybertaxonomy.org (cybertaxonomy.org) / flora-greece

schema version : 5.18.6.0.20201124
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
org.eclipse.core.runtime.AssertionFailedException: assertion failed:

at org.eclipse.core.runtime.Assert.isTrue (Assert.java:110)

at org.eclipse.core.runtime.Assert.isTrue (Assert. java:96)

at org.eclipse.jface.viewers.AbstractListViewer.setLabelProvider (AbstractListViewe
r.java:470)

at eu.etaxonomy.taxeditor.preference.DefaultFeatureTreePreferenecs.createTextTreeS
election (DefaultFeatureTreePreferenecs. java:74)

at eu.etaxonomy.taxeditor.preference.DefaultFeatureTreePreferenecs.createContents (
DefaultFeatureTreePreferenecs. java:59)

at org.eclipse.jface.preference.PreferencePage.createControl (PreferencePage. java:2
41)

at eu.etaxonomy.taxeditor.preference.menu.CdmPreferencePage.createControl (CdmPrefe
rencePage. java:63)

at org.eclipse.jface.preference.PreferenceDialog.createPageControl (PreferenceDialo
g.Jjava:1430)

at org.eclipse.jface.preference.PreferenceDialog$9.run (PreferenceDialog. java:1197)

at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)

at org.eclipse.ui.internal.JFaceUtil$l.run (JFaceUtil. java:50)

at org.eclipse.jface.util.SafeRunnable.run (SafeRunnable.java:173)

at org.eclipse.jface.preference.PreferenceDialog.showPage (PreferenceDialog. java:1ll
89)

at org.eclipse.jface.preference.PreferenceDialog$5.lambda$0 (PreferenceDialog. java:
656)

at org.eclipse.swt.custom.BusyIndicator.showWhile (BusyIndicator.java:70)

at org.eclipse.jface.preference.PreferenceDialog$5.selectionChanged (PreferenceDial
0g.java:653)

at org.eclipse.jface.viewers.StructuredViewer$3.run (StructuredViewer. java:878)

at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)

at org.eclipse.ui.internal.JFaceUtil$l.run (JFaceUtil. java:50)

at org.eclipse.jface.util.SafeRunnable.run (SafeRunnable.java:173)

at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged (StructuredVv
iewer.java:875)

at org.eclipse.jface.viewers.StructuredViewer.handlePostSelect (StructuredViewer. ja
va:1244)

at org.eclipse.jface.viewers.StructuredViewer$5.widgetSelected (StructuredViewer. ja
va:1270)

at org.eclipse.jface.util.OpenStrategy.firePostSelectionEvent (OpenStrategy.java:26
at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

Associated revisions

Revision 4a2263a6 - 02/12/2021 09:28 AM - Katja Luther

ref #9467: TermTreeLabelProvider should implement ILabelProvider

Revision db56c41b - 02/24/2021 12:56 PM - Katja Luther

ref #9467: do not allow multi select

Revision 4a39cb5e - 02/25/2021 09:56 AM - Katja Luther

ref #9467: do not allow multiselect and order of elements

History

#1 - 02/12/2021 11:38 AM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 0 to 50

This should be fixed, please review.

#2 - 02/22/2021 04:47 PM - Andreas Miller

- Subject changed from AssertionFailedException when opening DefaultFeature TreePreference to AssertionFailedException when opening
DefaultFeature TreePreference and preference should not allow multi-select

- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 50 to 60

This is fixed and can be closed.

By the way the default feature tree preference page allows multi-select (but stores only 1 default feature tree). This should be fixed. Multi-select does
not make sense here. Can we fix this witin this ticket as it is probably a no-brainer.

#3 - 02/24/2021 12:57 PM - Katja Luther
- Status changed from Feedback to Resolved
- Assignee changed from Katja Luther to Andreas Miiller
- % Done changed from 60 to 70
Andreas Muller wrote:
This is fixed and can be closed.
By the way the default feature tree preference page allows multi-select (but stores only 1 default feature tree). This should be fixed. Multi-select

does not make sense here. Can we fix this witin this ticket as it is probably a no-brainer.

fixed

#4 - 02/25/2021 08:56 AM - Andreas Miiller
- File picture658-1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Multi-select is still possible:
#5 - 02/25/2021 09:10 AM - Andreas Miiller

Wir sollten auch das Label noch anpassen fiir beide Fenster.

Im Deutschen: Default Merkmalsbaum => Standard Merkmalsbaum

... fur textuelle Faktendaten => was ist da gemeint? Wo wird der benutzt? Ist das fur die natural language description Darstellung? Dann sollte es so
ahnlich heiBBen, also z.B. flr natlrlichsprachige Beschreibungen (wir kdnnen hier Beschreibungen lassen, da es in dem Fall ja eigentlich immer um
Beschreibungen im engeren Sinne geht). Im Englischen dann ... for natural language descriptions

... fur strukturelle Faktendaten: wo wird der benutzt? Nur im Factual Data View? Dann wiirde ich es auch so nennen, also ... fir die Faktendaten Sicht
(oder wie das im deutschen Ubersetzt ist). Wobei wir da ja leider die Baumdarstellung noch gar nicht wirklich benutzen

#6 - 02/25/2021 09:11 AM - Andreas Miiller

AuBerdem sollten wir die Reihenfolge andern, die nat. lang. descriptions sind unwichtig, und sollten daher nach unten

#7 - 02/25/2021 09:24 AM - Katja Luther

Andreas Muller wrote:

Wir sollten auch das Label noch anpassen fiir beide Fenster.

Im Deutschen: Default Merkmalsbaum => Standard Merkmalsbaum

... fir textuelle Faktendaten => was ist da gemeint? Wo wird der benutzt? Ist das fiir die natural language description Darstellung? Dann sollte es
so &hnlich heiB3en, also z.B. fir natirlichsprachige Beschreibungen (wir kénnen hier Beschreibungen lassen, da es in dem Fall ja eigentlich
immer um Beschreibungen im engeren Sinne geht). Im Englischen dann ... for natural language descriptions

... fr strukturelle Faktendaten: wo wird der benutzt? Nur im Factual Data View? Dann wiirde ich es auch so nennen, also ... fur die Faktendaten

Sicht (oder wie das im deutschen Ubersetzt ist). Wobei wir da ja leider die Baumdarstellung noch gar nicht wirklich benutzen

they both are used in factual data view, it depends on the elements, if they contain quantitative or categorical data, the feature tree for structured
factual data is used otherwise the default feature tree for textual factual data.

#8 - 02/25/2021 09:59 AM - Andreas Miiller

Katja Luther wrote:

Andreas Muller wrote:

Im Deutschen: Default Merkmalsbaum => Standard Merkmalsbaum

Is this fixed?

#9 - 02/25/2021 10:00 AM - Katja Luther

Andreas Muller wrote:

Katja Luther wrote:
Andreas Muller wrote:

Im Deutschen: Default Merkmalsbaum => Standard Merkmalsbaum

Is this fixed?

yes.
#10 - 02/25/2021 10:01 AM - Andreas Miiller
Katja Luther wrote:
Andreas Miller wrote:
Wir sollten auch das Label noch anpassen fir beide Fenster.
Im Deutschen: Default Merkmalsbaum => Standard Merkmalsbaum
... fr textuelle Faktendaten => was ist da gemeint? Wo wird der benutzt? Ist das fiir die natural language description Darstellung? Dann
sollte es so ahnlich hei3en, also z.B. fiir nattrlichsprachige Beschreibungen (wir kénnen hier Beschreibungen lassen, da es in dem Fall ja
eigentlich immer um Beschreibungen im engeren Sinne geht). Im Englischen dann ... for natural language descriptions
... fur strukturelle Faktendaten: wo wird der benutzt? Nur im Factual Data View? Dann wirde ich es auch so nennen, also ... fir die

Faktendaten Sicht (oder wie das im deutschen Ubersetzt ist). Wobei wir da ja leider die Baumdarstellung noch gar nicht wirklich benutzen

they both are used in factual data view, it depends on the elements, if they contain quantitative or categorical data, the feature tree for structured
factual data is used otherwise the default feature tree for textual factual data.

Ok, so it is somehow correct but not clear how this should work. Generally the "tree" handling does not work yet in Factual Data View but this is an
other ticket. We can handle the handling of the 2 different trees there.

#11 - 02/25/2021 11:30 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller
so we can close this ticket?

#12 - 02/25/2021 04:23 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

Andreas Muller wrote:

Multi-select is still possible:

Default Merkmalsbaum fir strukturelle Faktendaten
If this is fixed, yes.
#13 - 02/26/2021 07:55 AM - Katja Luther
- Status changed from Feedback to Closed
Andreas Muller wrote:

Andreas Miiller wrote:

Multi-select is still possible:

Default Merkrmalsbaum fir strukturelle Faktendaten

AM Feature Tree2

Mein Treed

Test Feature Tree

Ein neuer Baum

Bugfix Featuretree

Testd

Mew feature tree

Mew feature tree for protected
Test Chars

Mo Title FeatureTreel
Mew feature treed
Test (syntax:--%)
Test titleCache

Testdasdfa

test

Mew feature tree
realStructures
Test

If this is fixed, yes.

this is fixed.
